<div class="card">
	<app-dimmer [loading]="loading"></app-dimmer>

	<div class="card-header">
		<app-return-back></app-return-back>
	</div>

	<form [formGroup]="form" (ngSubmit)="save()">
		<div class="card-body">
			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<label>Nombre</label>
						<input type="text" class="form-control form-control-sm" formControlName="name" />
						<app-form-control-error formControlName="name"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>URL</label>
						<input type="text" class="form-control form-control-sm" formControlName="url" />
						<app-form-control-error formControlName="url"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-3">
					<div class="form-group">
						<label>Ícono</label>
						<input type="text" class="form-control form-control-sm" formControlName="icon" />
						<app-form-control-error formControlName="icon"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-1">
					<div class="form-group">
						<label>Orden</label>
						<input type="text" class="form-control form-control-sm" formControlName="order" />
						<app-form-control-error formControlName="order"></app-form-control-error>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<label>Menú Padre</label>
						<app-select [selectOptions]="list.menus" formControlName="menu_id_parent">
							<ng-template selectOption let-option>
								<span>{{ option.name }}</span>
								<br />
								<span class="small text-muted">{{ option.url }}</span>
							</ng-template>
						</app-select>
						<app-form-control-error formControlName="menu_id_parent"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>Acción</label>
						<app-select [selectOptions]="list.actions" formControlName="action_id" displayField="description">
							<ng-template selectOption let-option>
								<span>{{ option.description }}</span>
								<br />
								<span class="small text-muted">{{ option.name }}</span>
							</ng-template>
						</app-select>
						<app-form-control-error formControlName="action_id"></app-form-control-error>
					</div>
				</div>
			</div>
		</div>

		<div class="card-footer">
			<div class="row">
				<div class="col-md-12">
					<button type="submit" class="btn btn-primary" [disabled]="loading">Guardar</button>
				</div>
			</div>
		</div>
	</form>
</div>
